--
-- Read the documentation and search Extra fields. If you don't know what to do, contact the template developer.
--
INSERT INTO `#__fields_groups` (`asset_id`, `context`, `title`, `note`, `description`, `state`, `checked_out`, `checked_out_time`, `ordering`, `params`, `language`, `created`, `created_by`, `modified`, `modified_by`, `access`) VALUES
(0, 'com_content.article', 'Project Details', '', '', 1, NULL, NULL, 0, '{\"display_readonly\":\"1\"}', '*', CURRENT_TIMESTAMP, 0, CURRENT_TIMESTAMP, 0, 1);


INSERT INTO `#__fields` (`asset_id`, `context`, `group_id`, `title`, `name`, `label`, `default_value`, `type`, `note`, `description`, `state`, `required`, `checked_out`, `checked_out_time`, `ordering`, `params`, `fieldparams`, `language`, `created_time`, `created_user_id`, `modified_time`, `modified_by`, `access`, `only_use_in_subform`) VALUES
(0, 'com_content.article', (SELECT `id` FROM `#__fields_groups` WHERE `title` = 'Project Details'), 'Thumbnail', 'thumbnail', 'Thumbnail', '', 'media', '', 'Small image for fast load your big image in the gallery', 1, 0, NULL, NULL, 0, '{\"hint\":\"\",\"class\":\"\",\"label_class\":\"\",\"show_on\":\"\",\"render_class\":\"\",\"showlabel\":\"1\",\"label_render_class\":\"\",\"display\":\"0\",\"layout\":\"\",\"display_readonly\":\"2\"}', '{}', '*', CURRENT_TIMESTAMP, 0, CURRENT_TIMESTAMP, 0, 1, 1),
(0, 'com_content.article', (SELECT `id` FROM `#__fields_groups` WHERE `title` = 'Project Details'), 'Image', 'image', 'Image', '', 'media', '', 'Large Image for Gallery', 1, 0, NULL, NULL, 0, '{\"hint\":\"\",\"class\":\"\",\"label_class\":\"\",\"show_on\":\"\",\"render_class\":\"\",\"showlabel\":\"1\",\"label_render_class\":\"\",\"display\":\"0\",\"layout\":\"\",\"display_readonly\":\"2\"}', '{}', '*', CURRENT_TIMESTAMP, 0, CURRENT_TIMESTAMP, 0, 1, 1),
(0, 'com_content.article', (SELECT `id` FROM `#__fields_groups` WHERE `title` = 'Project Details'), 'Detail Name', 'detail-name', 'Detail Name', '', 'text', '', '', 1, 0, NULL, NULL, 0, '{\"hint\":\"\",\"class\":\"\",\"label_class\":\"\",\"show_on\":\"\",\"render_class\":\"\",\"showlabel\":\"1\",\"label_render_class\":\"\",\"display\":\"0\",\"layout\":\"\",\"display_readonly\":\"2\"}', '{}', '*', CURRENT_TIMESTAMP, 0, CURRENT_TIMESTAMP, 0, 1, 1),
(0, 'com_content.article', (SELECT `id` FROM `#__fields_groups` WHERE `title` = 'Project Details'), 'Detail Value', 'detail-value', 'Detail Value', '', 'text', '', '', 1, 0, NULL, NULL, 0, '{\"hint\":\"\",\"class\":\"\",\"label_class\":\"\",\"show_on\":\"\",\"render_class\":\"\",\"showlabel\":\"1\",\"label_render_class\":\"\",\"display\":\"0\",\"layout\":\"\",\"display_readonly\":\"2\"}', '{}', '*', CURRENT_TIMESTAMP, 0, CURRENT_TIMESTAMP, 0, 1, 1),
(0, 'com_content.article', (SELECT `id` FROM `#__fields_groups` WHERE `title` = 'Project Details'), 'Project Details', 'project-details', 'Project Details', '', 'subform', '', '', 1, 0, NULL, NULL, 1, '{\"hint\":\"\",\"class\":\"\",\"label_class\":\"\",\"show_on\":\"\",\"render_class\":\"\",\"showlabel\":\"1\",\"label_render_class\":\"\",\"display\":\"0\",\"layout\":\"\",\"display_readonly\":\"2\"}', '{\"repeat\":\"1\",\"options\":{\"option0\":{\"customfield\":5,\"render_values\":\"1\"},\"option1\":{\"customfield\":6,\"render_values\":\"1\"}}}', '*', CURRENT_TIMESTAMP, 0, CURRENT_TIMESTAMP, 0, 1, 0),
(0, 'com_content.article', (SELECT `id` FROM `#__fields_groups` WHERE `title` = 'Project Details'), 'Project Gallery', 'project-gallery', 'Project Gallery', '', 'subform', '', 'Additional images of the project. You can add thumbnails of the images to accelerate the loading of the page, or add the large images directly.', 1, 0, NULL, NULL, 2, '{\"hint\":\"\",\"class\":\"\",\"label_class\":\"\",\"show_on\":\"\",\"render_class\":\"\",\"showlabel\":\"1\",\"label_render_class\":\"\",\"display\":\"0\",\"layout\":\"\",\"display_readonly\":\"2\"}', '{\"repeat\":\"1\",\"options\":{\"option0\":{\"customfield\":3,\"render_values\":\"1\"},\"option1\":{\"customfield\":4,\"render_values\":\"1\"}}}', '*', CURRENT_TIMESTAMP, 0, CURRENT_TIMESTAMP, 0, 1, 0);

--
-- Update subform fields adding correct subfields
--
update `#__fields` set fieldparams = JSON_SET(fieldparams, "$.options[0].option0[0].customfield", (SELECT `id` FROM (SELECT * FROM `#__fields`) AS thumb WHERE `title` = 'Thumbnail'), "$.options[0].option1[0].customfield", (SELECT `id` FROM (SELECT * FROM `#__fields`) AS image WHERE `title` = 'Image')) where title = 'Project Gallery';
update `#__fields` set fieldparams = JSON_SET(fieldparams, "$.options[0].option0[0].customfield", (SELECT `id` FROM (SELECT * FROM `#__fields`) AS detname WHERE `title` = 'Detail Name'), "$.options[0].option1[0].customfield", (SELECT `id` FROM (SELECT * FROM `#__fields`) AS detvalue WHERE `title` = 'Detail Value')) where title = 'Project Details';

--
-- Adding catogories none to all fields mareked as subform only.
--
INSERT INTO `#__fields_categories` (field_id, category_id) 
SELECT id, -1
FROM `#__fields` AS tfields
WHERE tfields.id NOT 
IN 
(
  SELECT field_id
  FROM `#__fields_categories`
) AND only_use_in_subform = 1;
